Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

id
string
required

Organization to claim

Pattern: ^[cC][^\s-]{8,}$

Body

application/json

Claim parameters

Response

200 - application/json

OK

Organization resource with full details (no secrets)

id
string
required

Unique identifier for the organization

Pattern: ^[cC][^\s-]{8,}$
name
string
required

Display name of the organization

slug
string
required

URL-friendly identifier for the organization

clerkOrgId
string | null
required

External Clerk organization ID, null if not linked

tier
enum<string>
required

Current subscription tier

Available options:
FREE,
STARTER,
GROWTH,
ENTERPRISE
keyRotatedAt
string<date-time> | null
required

ISO 8601 timestamp of the last master-key rotation, null if never rotated

settings
object
required

Arbitrary key-value settings for the organization

Outbound TCPA consent attestation status for this organization

createdAt
string<date-time>
required

ISO 8601 timestamp when the organization was created

updatedAt
string<date-time>
required

ISO 8601 timestamp when the organization was last modified